<?php

use App\Http\Controllers\VCardController;
use Illuminate\Support\Facades\Route;

Route::get('/{slug}/about', [VCardController::class, 'about'])->name('about')->where('slug', '[a-zA-Z0-9-]+');
Route::get('/{slug}/education', [VCardController::class, 'education'])->name('education')->where('slug', '[a-zA-Z0-9-]+');
Route::get('/{slug}/experience', [VCardController::class, 'experience'])->name('experience')->where('slug', '[a-zA-Z0-9-]+');
Route::get('/{slug}/resume', [VCardController::class, 'resume'])->name('resume')->where('slug', '[a-zA-Z0-9-]+');
Route::get('/{slug}', [VCardController::class, 'home'])->name('home')->where('slug', '[a-zA-Z0-9-]+');
Route::get('/{slug}/share', [VCardController::class, 'getShareLinks'])->name('share')->where('slug', '[a-zA-Z0-9-]+');
Route::get('/{slug}/download-vcard', [VCardController::class, 'downloadVCard'])->name('download-vcard')->where('slug', '[a-zA-Z0-9-]+');